summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/wxcam/README8
-rw-r--r--multimedia/wxcam/doinst.sh4
-rw-r--r--multimedia/wxcam/slack-desc19
-rw-r--r--multimedia/wxcam/wxcam.SlackBuild89
-rw-r--r--multimedia/wxcam/wxcam.info8
5 files changed, 128 insertions, 0 deletions
diff --git a/multimedia/wxcam/README b/multimedia/wxcam/README
new file mode 100644
index 0000000000..469632ce73
--- /dev/null
+++ b/multimedia/wxcam/README
@@ -0,0 +1,8 @@
+wxCam is a webcam application for linux. It supports video recording (in an
+avi uncompressed and Xvid format), snapshot taking, and some special commands
+for philips webcams, so you can also use the program for astronomy purposes.
+It supports both video4linux 1 and 2 drivers, so it should work on a very
+large number of devices.
+
+This requires xvidcore, CImg, mjpegtools, and wxWidgets
+(only tested with wxGTK).
diff --git a/multimedia/wxcam/doinst.sh b/multimedia/wxcam/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/multimedia/wxcam/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/multimedia/wxcam/slack-desc b/multimedia/wxcam/slack-desc
new file mode 100644
index 0000000000..91effefff8
--- /dev/null
+++ b/multimedia/wxcam/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+wxcam: wxCam (webcam app for linux)
+wxcam:
+wxcam: wxCam is a webcam application for linux. It supports video recording
+wxcam: (in an avi uncompressed and Xvid format), snapshot taking, and some
+wxcam: special commands for philips webcams, so you can also use the program
+wxcam: for astronomy purposes. It supports both video4linux 1 and 2
+wxcam: drivers, so it should work on a very large number of devices.
+wxcam:
+wxcam: http://wxcam.sourceforge.net/
+wxcam:
+wxcam:
diff --git a/multimedia/wxcam/wxcam.SlackBuild b/multimedia/wxcam/wxcam.SlackBuild
new file mode 100644
index 0000000000..07a56e4a6d
--- /dev/null
+++ b/multimedia/wxcam/wxcam.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for wxcam 11/01/2009
+# Updated for Slackware64 28/05/2009
+#
+# Copyright 2009 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wxcam
+VERSION=1.0.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make wxcamdocdir=/usr/doc/$PRGNAM-$VERSION
+make install wxcamdocdir=/usr/doc/$PRGNAM-$VERSION DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/wxcam/wxcam.info b/multimedia/wxcam/wxcam.info
new file mode 100644
index 0000000000..05865b981c
--- /dev/null
+++ b/multimedia/wxcam/wxcam.info
@@ -0,0 +1,8 @@
+PRGNAM="wxcam"
+VERSION="1.0.3"
+HOMEPAGE="http://wxcam.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/wxcam/wxcam-1.0.3.tar.bz2"
+MD5SUM="7a7c5a1e2b82c848d0be12cfc3f2cf28"
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave<at>gmail<dot>com"
+APPROVED="rworkman"